---
title: Release 2020-11-25
menuTitle: 2020-11-25
any: true
description: >-
  Changelog for Release 2020-11-25 (oso 0.8.2, django-oso 0.4.1, flask-oso
  0.5.1, sqlalchemy-oso 0.1.0) containing new features, bug fixes, and more.
---

## `oso` 0.8.2

### New features

#### List filtering

This release is a step towards stabilizing our list filtering functionality.
We’ve expanded the set of operators that you can use in a policy with list
filtering, added new adapter capabilities, and started [documenting the
list filtering use cases and adapters]({{< ref path="reference/frameworks" lang="python" >}}).
We’re actively seeking feedback on this feature, so please try it out and get
in touch with any suggestions, bug reports, etc.

### Other bugs & improvements

* Updated a few runtime error messages.

## `django-oso` 0.4.1

### New features

#### Updated list filtering capabilities

More policies and Polar operations can now be used with list filtering:

* The `in` operator now supports relationship fields.
* Specializers & the `matches` operator support embedded fields, e.g.,
  `resource matches Post{id: 1}`.
* Nested field lookups are supported, e.g., `resource.related_model.id = 1`.

Install the latest version from pip: `pip install django-oso`.

Check out [the Django adapter documentation]({{< ref
path="reference/frameworks/data_filtering/django" lang="python" >}}).

### Other bugs & improvements

* Added new `ReloadPolicyMiddleware` middleware for `django_oso` to control
  when/how policies are reloaded.

## `flask-oso` 0.5.1

Bumped the minimum required version of the `oso` dependency.

## `sqlalchemy-oso` 0.1.0

We’ve added our third framework integration (after Flask & Django):
SQLAlchemy! With this library, you can apply authorization filters
to arbitrary database queries. The initial release is roughly at
feature parity with the Django adapter’s list filtering capabilities.

Try it out: `pip install sqlalchemy-oso`.

Check out [the SQLAlchemy adapter documentation]({{< ref
path="reference/frameworks/data_filtering/sqlalchemy" lang="python" >}}).
